# This file created by conda-build 3.21.8
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/pytables-3.7.0-python_3.9-on-linux_64, last modified Fri Mar 18 09:53:09 2022
# ------------------------------------------------

package:
  name: pytables
  version: 3.7.0
source:
  sha256: e92a887ad6f2a983e564a69902de4a7645c30069fc01abd353ec5da255c5e1fe
  url: https://pypi.io/packages/source/t/tables/tables-3.7.0.tar.gz
build:
  entry_points:
    - pt2to3 = tables.scripts.pt2to3:main
    - ptdump = tables.scripts.ptdump:main
    - ptrepack = tables.scripts.ptrepack:main
    - pttree = tables.scripts.pttree:main
  ignore_run_exports:
    - zlib
  number: '0'
  string: py39h9da3b7f_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.35.1 h27ae35d_9
    - binutils_linux-64 2.35.1 h454624a_30
    - gcc_impl_linux-64 7.5.0 h7105cf2_17
    - gcc_linux-64 7.5.0 h8f34230_30
    - gxx_impl_linux-64 7.5.0 h0a5bf11_17
    - gxx_linux-64 7.5.0 hffc177d_30
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libgcc-devel_linux-64 7.5.0 hbbeae57_17
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgomp 9.3.0 h5101ec6_17
    - libstdcxx-devel_linux-64 7.5.0 hf0c5c8d_17
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - sysroot_linux-64 2.17 h57e8cba_10
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - blas 1.0 openblas
    - blosc 1.21.0 h8c45485_0
    - bzip2 1.0.8 h7b6447c_0
    - c-ares 1.18.1 h7f8727e_0
    - ca-certificates 2022.2.1 h06a4308_0
    - certifi 2021.10.8 py39h06a4308_2
    - cython 0.29.25 py39hdbfa776_0
    - hdf5 1.12.1 h69dfa17_1
    - krb5 1.19.2 hac12032_0
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libcurl 7.80.0 h0b77cf5_0
    - libedit 3.1.20210910 h7f8727e_0
    - libev 4.33 h7f8727e_1
    - libffi 3.3 he6710b0_2
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgfortran-ng 7.5.0 ha8ba4b0_17
    - libgfortran4 7.5.0 ha8ba4b0_17
    - libgomp 9.3.0 h5101ec6_17
    - libnghttp2 1.46.0 hce63b2e_0
    - libopenblas 0.3.17 hf726d26_1
    - libssh2 1.9.0 h1ba5d50_1
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - lz4-c 1.9.3 h295c915_1
    - lzo 2.10 h7b6447c_2
    - ncurses 6.3 h7f8727e_2
    - numexpr 2.8.1 py39hecfb737_0
    - numpy 1.19.2 py39h87658db_0
    - numpy-base 1.19.2 py39h0f7b65f_0
    - openssl 1.1.1m h7f8727e_0
    - packaging 21.3 pyhd3eb1b0_0
    - pip 21.2.4 py39h06a4308_0
    - pyparsing 3.0.4 pyhd3eb1b0_0
    - python 3.9.7 h12debd9_1
    - readline 8.1.2 h7f8727e_1
    - setuptools 58.0.4 py39h06a4308_0
    - sqlite 3.38.0 hc218d9a_0
    - tk 8.6.11 h1ccaba5_0
    - tzdata 2021e hda174b7_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.5 h7b6447c_0
    - zlib 1.2.11 h7f8727e_4
    - zstd 1.4.9 haebb681_0
  run:
    - blosc >=1.21.0,<2.0a0
    - blosc >=1.4.1
    - bzip2 >=1.0.8,<2.0a0
    - hdf5 >=1.12.1,<1.12.2.0a0
    - hdf5 >=1.8.15
    - libgcc-ng >=7.5.0
    - libstdcxx-ng >=7.5.0
    - lzo >=2.10,<3.0a0
    - mock
    - numexpr >=2.6.2
    - numpy >=1.19.2,<2.0a0
    - packaging
    - python >=3.9,<3.10.0a0
    - zlib
test:
  commands:
    - pip check
    - pt2to3 -h
    - ptdump -h
    - ptrepack -h
    - pttree -h
  requires:
    - mock
    - pip
    - setuptools
about:
  description: 'PyTables is a package for managing hierarchical datasets and designed
    to

    efficiently and easily cope with extremely large amounts of data. PyTables

    is built on top of the HDF5 library, using the Python language and the

    NumPy package.

    '
  dev_url: https://github.com/PyTables
  doc_url: https://www.pytables.org/
  home: https://www.pytables.org
  lcense_family: BSD
  license: BSD-3-Clause
  license_file: LICENSE.txt
  summary: Brings together Python, HDF5 and NumPy to easily handle large amounts of
    data.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - msarahan
    - ocefpaf
    - scopatz
    - tomkooij
